<?php
/**
 * Search Logger - ACP Info
 *
 * @package   SearchLogger
 * @copyright (c) 2025 salvocortesiano
 * @license   GNU General Public License, version 2 (GPL-2.0)
 */

namespace salvocortesiano\searchlogger\acp;

class main_info
{
    public function module()
    {
        return array(
            'filename'    => '\salvocortesiano\searchlogger\acp\main_module',
            'title'        => 'ACP_SEARCHLOGGER_TITLE',
            'modes'        => array(
                'settings'    => array(
                    'title' => 'ACP_SEARCHLOGGER_SETTINGS',
                    'auth' => 'ext_salvocortesiano/searchlogger && acl_a_board',
                    'cat' => array('ACP_SEARCHLOGGER_TITLE')
                ),
                'view'        => array(
                    'title' => 'ACP_SEARCHLOGGER_VIEW',
                    'auth' => 'ext_salvocortesiano/searchlogger && acl_a_board',
                    'cat' => array('ACP_SEARCHLOGGER_TITLE')
                ),
            ),
        );
    }
}