<?php
/**
 * Search Logger - ACP Language (IT)
 *
 * @package   SearchLogger
 * @copyright (c) 2025 salvocortesiano
 * @license   GNU General Public License, version 2 (GPL-2.0)
 */

if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
    'ACP_SEARCHLOGGER_TITLE'                => 'Registro Ricerche',
    'ACP_SEARCHLOGGER_SETTINGS'             => 'Impostazioni',
    'ACP_SEARCHLOGGER_VIEW'                 => 'Visualizza Registro',
    'ACP_SEARCHLOGGER_SETTINGS_EXPLAIN'     => 'Qui puoi configurare le impostazioni dell\'estensione Registro Ricerche.',
    'ACP_SEARCHLOGGER_VIEW_EXPLAIN'         => 'Questa pagina mostra un elenco di tutte le ricerche effettuate dagli utenti.',
    'ACP_SEARCHLOGGER_SEARCH_RESULTS'       => 'Risultati',
    
    'ACP_SEARCHLOGGER_ENABLE'               => 'Abilita Registro Ricerche',
    'ACP_SEARCHLOGGER_ENABLE_EXPLAIN'       => 'Puoi abilitare o disabilitare la registrazione delle ricerche degli utenti.',
    'ACP_SEARCHLOGGER_RETENTION_DAYS'       => 'Periodo di Conservazione',
    'ACP_SEARCHLOGGER_RETENTION_DAYS_EXPLAIN' => 'Numero di giorni per cui conservare i registri delle ricerche. I registri più vecchi verranno eliminati automaticamente. Impostare a 0 per conservare i registri indefinitamente.',
    
    'ACP_SEARCHLOGGER_SETTINGS_SAVED'       => 'Le impostazioni del Registro Ricerche sono state salvate con successo.',
    'ACP_SEARCHLOGGER_NO_LOGS'              => 'Nessun registro di ricerca trovato.',
    'ACP_SEARCHLOGGER_EXPORT'               => 'Esporta',
    'ACP_SEARCHLOGGER_EXPORT_FORMAT'        => 'Formato di Esportazione',
    'ACP_SEARCHLOGGER_EXPORT_HEADER'        => 'Esportazione Registro Ricerche',
    'ACP_SEARCHLOGGER_DELETE_ALL'           => 'Elimina Tutti i Registri',
    'ACP_SEARCHLOGGER_CONFIRM_DELETE'       => 'Sei sicuro di voler eliminare tutti i registri delle ricerche?',
    'ACP_SEARCHLOGGER_LOGS_DELETED'         => 'Tutti i registri delle ricerche sono stati eliminati con successo.',
    'ACP_SEARCHLOGGER_INVALID_FORMAT'       => 'Formato di esportazione non valido.',
    'ACP_SEARCHLOGGER_EXCEL_LIBRARY_MISSING' => 'La libreria PhpSpreadsheet non è installata. Per favore installala per esportare in formato Excel.',
	'ACP_SEARCHLOGGER_PHPSPREADSHEET_REQUIRED' => 'La libreria PhpSpreadsheet non è installata. Per favore installala per esportare in formato Excel.',
    'ACP_SEARCHLOGGER_EXCEL_ERROR'           => 'Si è verificato un errore durante la creazione del file Excel',
));
