# Search Logger Extension Changelog

## 1.0.6 [2024-04-06]
- Added search_results column to track the number of results for each search
- Enhanced Italian date format to follow the pattern "mercoledì 6 aprile 2025 ore 15:30:34"
- Improved date formatting for export functions to maintain language-specific formats

## 1.0.5 [2024-04-06]
- Fixed ACP module integration by correctly implementing the standard phpBB naming conventions
- Renamed ACP module files to follow phpBB conventions (main_info.php, main_module.php)
- Split the migrations to have a separate file for ACP module installation
- Updated module_basename reference in migration files
- Improved error handling in the Excel export functionality

## 1.0.4 [2024-04-06]
- Updated ACP module implementation
- Fixed issues with module detection during installation
- Added proper exception handling for Excel exports

## 1.0.3 [2024-04-06]
- Attempted to fix ACP module issues
- Updated file naming conventions

## 1.0.2 [2024-04-06]
- Improved error handling
- Updated ACP module structure

## 1.0.1 [2024-04-05]
- Initial release
- Created base extension with search logging functionality
- Added multilingual support (English, Italian)
- Implemented export functionality for logs (CSV, JSON, TXT, Excel)