<?php
/**
 * Search Logger - Language (IT)
 *
 * @package   SearchLogger
 * @copyright (c) 2025 salvocortesiano
 * @license   GNU General Public License, version 2 (GPL-2.0)
 */

if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
    'SEARCH_QUERY'                => 'Ricerca Effettuata',
    'SEARCH_TIME'                 => 'Data e Ora',
    'TOTAL_LOGS'                  => 'Totale Registri',
    'LOG_SEARCHLOGGER_EXCEL_MISSING' => '<strong>Avviso Search Logger:</strong> Libreria PhpSpreadsheet non trovata. L\'esportazione Excel non sarà disponibile.',
));
